Ext.onReady(function(){

	// On créée un store pour de données
    var graphStore = new Ext.data.JsonStore({
        fields:['name', 'visits', 'views'],
        data: [
            {name:'Jul 07', visits: 245000, views: 3000000},
            {name:'Aug 07', visits: 240000, views: 3500000},
            {name:'Sep 07', visits: 355000, views: 4000000},
            {name:'Oct 07', visits: 375000, views: 4200000},
            {name:'Nov 07', visits: 490000, views: 4500000},
            {name:'Dec 07', visits: 495000, views: 5800000},
            {name:'Jan 08', visits: 520000, views: 6000000},
            {name:'Feb 08', visits: 620000, views: 7500000}
        ]
    });


	// Element principal
    var viewport = new Ext.Viewport({
		layout: 'border',
		renderTo: Ext.getBody(),
		items: [
			{
				region: 'north',
				xtype: 'box',
				applyTo: 'header'
			},
			{
				xtype: 'panel',
				title: 'Composants',
				split: true,
				region: 'center',
				tbar: {
					items: [
						'On peut faire une toolbar en haut ===',
						{
							xtype: 'button', 
							text: 'click Me!', 
							listeners: {
								'click': function() {
									Ext.MessageBox.alert('Yeah...','You clicked me....');
								}
							}
						}
					]
				},
				bbar: {
					items: [
						'On peut aussi mettre des boutons en bas... ===',
						{
							xtype: 'button', 
							text: 'click Me too...', 
							listeners: {
								'click': function() {
									Ext.MessageBox.prompt('Name', 'Please enter your name:');
								}
							}
						}
					]
				},
				items: [
					{
						xtype: 'colorpalette',
						listeners: {
							'select': function(elt, color) {}
						},
						region: 'east'
					}, {
						xtype: 'progress',
						region: 'west',
						animate: true,
						value: .5
					}
				]
			},
			{
				xtype: 'tabpanel',
				title: 'Un autre panel',
				split: true,
				activeTab: 0,
				region: 'east',
				width: 350,
				items: [{
						xtype: 'panel',
						title: 'Visites',
						region: 'south',
						height: 250,
						items: [{
							xtype: 'linechart',
							store: graphStore,
							xField: 'name',
							yField: 'visits',
							listeners: {
								itemclick: function(o){
									var rec = graphStore.getAt(o.index);
									Ext.example.msg('Item Selected', 'You chose {0}.', rec.get('name'));
								}
							}
						}
						]
					},{
						xtype: 'panel',
						title: 'Vues',
						region: 'south',
						height: 250,
						items: [{
							xtype: 'linechart',
							store: graphStore,
							xField: 'name',
							yField: 'views',
							listeners: {
								itemclick: function(o){
									var rec = graphStore.getAt(o.index);
									Ext.example.msg('Item Selected', 'You chose {0}.', rec.get('name'));
								}
							}
						}]
					}
				]
			},
			{
				xtype: 'form',
				region: 'south',
				labelWidth: 75, // label settings here cascade unless overridden
				url:'save-form.php',
				split:true,
				frame: true,
				title: 'Simple Form',
				bodyStyle:'padding:5px 5px 0',
				width: 350,
				height: 250,
				defaults: {width: 230},
				defaultType: 'textfield',
				items: [{
					fieldLabel: 'First Name',
					name: 'first',
					allowBlank:false
				},{
					fieldLabel: 'Last Name',
					name: 'last'
				},{
					fieldLabel: 'Company',
					name: 'company'
				}, {
					fieldLabel: 'Email',
					name: 'email',
					vtype:'email'
				}, new Ext.form.TimeField({
					fieldLabel: 'Time',
					name: 'time',
					minValue: '8:00am',
					maxValue: '6:00pm'
				})
			],
			buttons: [{
				text: 'Save'
			},{
				text: 'Cancel'
			}]
		}, {
				xtype: 'panel',
				split: true,
				title: 'plein de bouton?',
				layout: 'border',
				region: 'west',
				width: 250,
				items: [
					{
						xtype: 'button', 
						text: 'BUTTON N', 
						region: 'north', 
						margins: {top:5, right:5, bottom:5, left:5}
					},
					{
						xtype: 'button', 
						text: 'BUTTON S', 
						region: 'south', 
						margins: {top:5, right:5, bottom:5, left:5}
					},
					{
						xtype: 'button', 
						text: 'BUTTON E', 
						region: 'east', 
						margins: {top:0, right:5, bottom:0, left:5}
					},
					{
						xtype: 'button', 
						text: 'BUTTON W', 
						region: 'west', 
						margins: {top:0, right:5, bottom:0, left:5}
					},
					{
						xtype: 'button', 
						text: 'BUTTON C', 
						region: 'center'
					}
				]
			}
		]
	})


});


/*
	
xtype            Class
-------------    ------------------
box              Ext.BoxComponent
button           Ext.Button
colorpalette     Ext.ColorPalette
component        Ext.Component
container        Ext.Container
cycle            Ext.CycleButton
dataview         Ext.DataView
datepicker       Ext.DatePicker
editor           Ext.Editor
editorgrid       Ext.grid.EditorGridPanel
grid             Ext.grid.GridPanel
paging           Ext.PagingToolbar
panel            Ext.Panel
progress         Ext.ProgressBar
propertygrid     Ext.grid.PropertyGrid
slider           Ext.Slider
splitbutton      Ext.SplitButton
statusbar        Ext.StatusBar
tabpanel         Ext.TabPanel
treepanel        Ext.tree.TreePanel
viewport         Ext.Viewport
window           Ext.Window

Toolbar components
---------------------------------------
toolbar          Ext.Toolbar
tbbutton         Ext.Toolbar.Button
tbfill           Ext.Toolbar.Fill
tbitem           Ext.Toolbar.Item
tbseparator      Ext.Toolbar.Separator
tbspacer         Ext.Toolbar.Spacer
tbsplit          Ext.Toolbar.SplitButton
tbtext           Ext.Toolbar.TextItem

Form components
---------------------------------------
form             Ext.FormPanel
checkbox         Ext.form.Checkbox
combo            Ext.form.ComboBox
datefield        Ext.form.DateField
field            Ext.form.Field
fieldset         Ext.form.FieldSet
hidden           Ext.form.Hidden
htmleditor       Ext.form.HtmlEditor
label            Ext.form.Label
numberfield      Ext.form.NumberField
radio            Ext.form.Radio
textarea         Ext.form.TextArea
textfield        Ext.form.TextField
timefield        Ext.form.TimeField
trigger          Ext.form.TriggerField*/